---
title: "Get all available property definitions"
slug: "get-all-available-property-definitions"
updated: 2025-11-07T20:01:40Z
published: 2026-02-10T10:39:15Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://www.bloxs.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get all available property definitions

Get/api/v1/realestateobjects/publish/propertydefinitions

Get all the configured property definitions objects from the system

		
			

**Description**

The Bloxs user has the possibility to create custom properties which are shown in the published data in the third party system (e.g. rental website). An example would be if the user wants to add to the published data the property 'sunny hours per day'. This is standard not available in Bloxs. To include this in the published data, a custom published property needs to be inserted. This endpoint can be used to retrieve all custom published properties known in the environment specific to this client.

The available property definitions are shown as an array in the response.

**Use Case**

The Bloxs user wants to know which custom properties are currently being published for the real estate objects. Calling this endpoint will return a full list of these properties.

The Bloxs user wants to [delete](/v1-api/apidocs/delete-property-definition-1) a specific custom property. However, in order to do this the user needs the apiLabel of this property. The user can utilize this endpoint to retrieve the properties and details, such as the apiLabel.

**Response fields**

The response contains the fields in the table below. For every property definition these properties will be shown separately in the array.

| Field | Description |
| --- | --- |
| apiLabel | The unique identifier of the custom property. |
| labelName | The name which has been assigned to the custom property. |
| controlType | The control type of the custom property. For example, it can only contain numbers or it is a date field. |
| order | Order in which the fields are displayed within the screen in Bloxs. This can also help arrange the fields in the correct order on your website. |
| value | When the ControlType is Dropdown, then these are the configured options for the dropdown. Value contains the name of the option in the dropdown. |
| order | When the ControlType is Dropdown, then these are the configured options for the dropdown. Order contains the order in which the option is shown in the dropdown. |

		
		
SecurityHTTPType Bearer

Please enter a valid token

Responses200

OK

<select class='api-response-data' aria-label='Media type'><option value='6dc84dae-aabd-4438-8351-5cbdd52278e2'>application/json</option>
</select>Array of object   object  apiLabelstring    

The API Key of the property, this is the key used to identify the Object property

Min length1
labelNamestring    

The name of the property

Min length1
controlTypeinteger  (int32)    

The type of the property

Valid values[
  0,
  1,
  2,
  3,
  4,
  5,
  6,
  7
]
orderinteger  (int32)    
options Array of object (Publish_PropertyDefinitionOption)  | null  

When the ControlType is Dropdown, then these are the configured options for the Dropdown

object  valuestring    Min length1
orderinteger  (int32)
